%define name	perl-Crypt-OpenSSL-DSA
%define version	0.11
%define release	1mdk

Summary:	Crypt-OpenSSL-DSA module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Crypt-OpenSSL-DSA-%{version}.tar.bz2
Url:		http://www.cpan.org
Requires:	perl
Requires:	openssl
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#BuildArch:	noarch

%description
Crypt-OpenSSL-DSA module for perl

%prep
%setup -q -n Crypt-OpenSSL-DSA-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%{__make} PREFIX=%{buildroot}/%{_prefix} install

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{perl_vendorlib}/*/auto/Crypt/OpenSSL/DSA/DSA.so
%{perl_vendorlib}/*/Crypt/OpenSSL/DSA/Signature.pod
%{perl_vendorlib}/*/Crypt/OpenSSL/DSA.pm
%{_mandir}/*

%changelog
* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.11-1mdk
- 0.11.

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10-2mdk
- build release

* Wed Nov 13 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10-1mdk
- initial cooker contrib.
